# Speaker Profiles

Speaker Profiles

## Creates a new speaker profile record that does not already exist.

 - [POST /speakerProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/createspeakerprofile.md): This method will auto-generate an ID and create a new speaker profile. If an ID is specified for the speaker profile, an error will be thrown.

## Execute Batch Operations

 - [POST /speakerProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Searches for speaker profiles using predefined parameters

 - [POST /speakerProfiles/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/searchforspeakerprofiles.md): Searches for speaker profiles using predefined parameters

## Returns a speaker profile from the system by its ID.

 - [DELETE /speakerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/deletespeakerprofile.md): This method will delete a speaker profile with the specified ID.

## Returns a speaker profile from the system by its ID.

 - [GET /speakerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/getspeakerprofile.md): This method will look up a speaker profile by the specified ID and return it back.

## Partially updates a speaker profile with the specified ID.

 - [PATCH /speakerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/patchspeakerprofile.md): This method will patch an existing speaker profile with the specified ID, using the HTTP PATCH specification.

## Updates a speaker profile with the specified ID.

 - [PUT /speakerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-profiles/updatespeakerprofile.md): This method will update an existing speaker profile with the specified ID.

